-- GetAnchor()函数用
local Anchors = {
	TaskLogo = { x=6, y=6 },
	TaskLogoRight = { x=32, y=8 },
}

-- 参数
-- 	Anchor	锚点名，一般取图片名，是旋转中心点和设置屏幕坐标的参考点
-- 	Axis	坐标轴，为"x"或"y"
-- 返回值
--	锚点距离图片左上角的偏移值，单位像素
local function GetAnchor(Anchor, Axis)
	local f = Anchors[Anchor][Axis]
	if (f) then return f end
	return 0
end

-- 清理变量释放内存
local function Unload()
	UIAniRender_GetAnchor = nil
	UIAniRender_Unload = nil
	UIAniRender_Unload = nil
end

-- 通过require传给其他Lua脚本使用
local UIAniRender = {
	GetAnchor = GetAnchor,
	Unload = Unload,
}

-- C++程序使用的global函数名
UIAniRender_GetAnchor = UIAniRender.GetAnchor
UIAniRender_Unload = UIAniRender.Unload
UIAniRender_Unload = UIAniRender.Unload

-- require返回值
return UIAniRender

